body{
    background-color: #f5f5f5;
}
.devs-api{
    font-size: 14px;
    font-family: din, ding, PingFang SC, Hiragino Sans GB, Microsoft YaHei, SimHei, WenQuanYi Micro Hei, sans-serif;
    width: 100%;
    max-width: 1200px;
    margin:0 auto;
}
.devs-api .api-position{
    line-height: 30px;
    height: 30px;
    color: #666666;
    font-family: "Microsoft YaHei";
}
.devs-api .api-position a{
    color: #666666;
    font-size: 12px;
}

/* .isMand{
    overflow:hidden;
    text-overflow:ellipsis;
    white-space: nowrap;
} */
.devs-api .api-content{
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
}
.devs-api .api-content .api-slidebar{
    /*height: 486px;*/
    background-color: #ffffff;
    margin-right: 20px;
}
.devs-api .api-content .api-message{
    width: 980px;
}
.api-content .api-slidebar h3{
    padding: 20px 40px 3px;
    text-align: left;
    font-size: 16px;
    font-family: din, ding, PingFang SC, Hiragino Sans GB, Microsoft YaHei, SimHei, WenQuanYi Micro Hei, sans-serif;
    font-weight: bold;
    color: #666666;
}
.api-content .api-slidebar ul{
    width: 250px;
    padding: 10px 0 0;
}
.api-content .api-slidebar ul li{
    position: relative;
    text-align: left;
    padding-left: 40px;
    height: 36px;
    line-height: 36px;
    cursor: pointer;
}

.api-content .api-slidebar ul li:hover{
    color: #0A9DFF;
    background-color: #ECF5FF;
}
.api-content .api-slidebar ul li:hover::before{
    position: absolute;
    content: "";
    display: block;
    width: 3px;
    height: 26px;
    background-color:  #0A9DFF;
    top: 5px;
    left: 0;
    z-index: 2;
}

.api-content .api-slidebar ul li a{
    color: #666;
    font-size: 14px;
    float: left;
}
.api-content .api-slidebar ul li.api-new span{
    display: block;
    width: 29px;
    height: 19px;
    right: 58px;
    margin-top: 8px;
    margin-left: 6px;
    z-index: 3;
    background-size: 100%;
    float: left;
}

.api-content .api-slidebar ul li.api-hot span{
    display: block;
    width: 29px;
    height: 19px;
    right: 58px;
    margin-top: 8px;
    margin-left: 6px;
    z-index: 3;
    background-size: 100%;
    float: left;
}




.api-content .api-slidebar ul li.active{
    color: #0A9DFF;
    background-color: #ECF5FF;
}

.api-content .api-slidebar ul li.active a{
    color: #0A9DFF;
}

.api-content .api-slidebar ul li.active::before{
    position: absolute;
    content: "";
    display: block;
    width: 3px;
    height: 26px;
    background-color:  #0A9DFF;
    top: 5px;
    left: 0;
    z-index: 2;
}
.box-shadow{
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.08);
}
.api-content .api-message .message-title,.api-content .api-message .message-api-text{
    width: 100%;
    background-color: #ffffff;
}
.api-content .api-message .message-title{
    padding: 20px 30px;
    display: flex;
    flex-wrap: wrap;
}
.api-content .api-message .title-log{
    margin-right: 30px;
}
.api-content .api-message .title-log img{
    width: 80px;
    height: 80px;
    -webkit-border-radius: 5px;
    border-radius: 15px;
    box-shadow: 2px 3px 10px 0px rgba(102, 102, 102, 0.36);
}
.api-content .api-message .title-shops{
    padding: 10px 0;
}
.api-content .api-message .log-cent{
    padding:0 75px 16px 0;
    position: relative;
}
.api-content .api-message .log-cent span{
    vertical-align: middle;
}
.api-content .api-message .log-cent span:first-of-type{
    font-size: 18px;
    font-weight: bold;
    color: #333333;
    padding-right: 12px;
}
.api-content .api-message .log-cent span:last-of-type{
    font-size: 12px;
    line-height: 19px;
    color: #999999;
}
.api-content .api-message .log-cent span:last-of-type em{
    color: #0A9DFF;
    font-weight: bold;
}
.api-content .api-message .log-cent i{
    position: absolute;
    display: block;
    width: 43px;
    height: 18px;
    right: 0;
    top: 2px;
    z-index: 2;
    line-height: 19px;
    font-size: 16px;
    background-size: 100%;
}
.api-content .api-message .log-personal{
    font-size: 13px;
    color: #999999;
}
.api-content .api-message .log-personal span:first-of-type{
    padding-right: 40px;
}
.api-content .api-message .log-personal span:last-of-type em{
    color: #0A9DFF;
    font-weight: bold;
}
.api-content .api-message .api-devs-t{
    display: flex;
    padding-top: 30px;
    margin-left: 60px;
}
.api-content .api-message .api-devs-t div{
    width: 110px;
    height: 30px;
    border: 1px solid #0087FB;
    /*background: linear-gradient(90deg, #0087FB 0%, #00B9EC 100%);*/
    -webkit-border-radius: 15px;
    border-radius: 15px;
}
.api-content .api-message .api-devs-t div.back-linear{
    background: linear-gradient(90deg, #0087FB 0%, #00B9EC 100%)
}
.api-content .api-message .api-devs-t div.back-linear a{
    color: #ffffff;
}
.api-content .api-message .api-devs-t div a{
    display: block;
    text-align: center;
    line-height: 28px;
    font-size: 12px;
    color: #0088FB;
}
.api-content .api-message .api-devs-t div a.iconfont{
    font-size: 16px;
}
.api-content .api-message .api-devs-t div span{
    padding-left: 5px;
    font-size: 15px;
}
.api-content .api-message .api-devs-t div:first-of-type{
    margin-right: 15px;
}
.api-content .api-message .api-make{
    margin-left: 104px;
}
.api-content .api-message .api-make a.iconfont{
    display: block;
    font-size: 16px;
    line-height: 19px;
    color: #999999;
}
.api-content .api-message .api-make span{
    font-size: 12px;
    vertical-align: top;
}
.api-content .api-message .api-introduce{
    width: 920px;
    margin-top: 15px;
    padding: 12px 20px;
    background: #F5F8F7;
}
.api-content .api-message .api-introduce div{
    padding: 2px 0;
    display: flex;
}
.api-content .api-message .api-introduce div span{
    display: block;
    width: 11%;
    color: #666666;
    font-size: 13px;
}
.api-content .api-message .api-introduce div p{
    width: 89%;
    font-size: 13px;
    text-align: justify;
    color: #999999;
}
.api-content .api-message .api-introduce div:last-of-type span{
    text-indent: 20px;
}

.api-content .message-api-text .api-tab{
    height: 41px;
    line-height: 41px;
    border-bottom: 1px solid #D9D9D9;
    display: flex;
}
.api-content .message-api-text .api-tab span{
    display: block;
    width: 100px;
    text-align: center;
    line-height: 41px;
    font-size: 14px;
    cursor: pointer;
}
.api-content .message-api-text .api-tab span.active{
    color: #0088FB;
    border-bottom: 2px solid #0087FB;
}
.api-content .message-api-text .api-file{
    padding-top: 5px;
}
.api-content .message-api-text .api-file div.file-content{
    display: none;
}
.api-content .message-api-text .api-file div.open-active{
    display: block;
}
.api-message .api-file .version-tab{
    padding: 10px 0 5px;
    line-height: 15px;
    display: flex;
    color: #999999;
    font-size: 14px;
}
.api-message .api-file .file-tab{
    margin-left: 5px;
    display: flex;
    line-height: 15px;
}
.api-message .api-file .file-tab a{
    display: block;
    width: 58px;
    height: 14px;
    line-height: 14px;
    text-align: center;
    cursor: pointer;
    color: #666666;
}
.api-message .api-file .file-tab a.active{
    color: #0088FB;
}
.api-message .api-file .file-tab a{
    border-right: 1px solid #D9D9D9;
}
.api-message .api-file .file-tab a:last-of-type{
    border: 0;
}

.api-message .api-file .version-content .content-list{
    display: none;
}
.api-message .api-file .version-content .content-list.open-active{
    display: block;
}
.api-message .api-file .api-address{
    margin-bottom: 15px;
}
.api-message .api-file .api-address div{
    display: flex;
    height: 30px;
    line-height: 30px;
    color: #999999;
    font-size: 14px;
    padding-left: 20px;
}
.api-message .api-file .api-address div p{
    color: #666666;
    padding-left: 20px;
}
.api-message .api-file .api-address div span{
    padding-left: 10px;
    color: #0A9DFF;
    cursor: pointer;
}
.api-message .api-file .public-param{
    overflow: hidden;
    margin-bottom: 20px;
}
.api-message .api-file .public-param h3{
    display: flex;
    font-size: 16px;
    color: #666666;
    margin-left: 20px;
}
.api-message .api-file .public-param h3 p{
    padding-left: 15px;
    font-size: 12px;
    color: #EE2D4F;
    line-height: 26px;
}
.api-message .version-content .api-name span.fixed{
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 10;
    display: none;
    font-size: 14px;
    color: #0A9DFF;
    cursor: pointer;
    padding-left: 12px;
}
.api-message .version-content .api-name.active span{
    display: block;
}
.api-message .version-content td.api-name{
    position: relative;
}
.api-message .version-content .code-form{
    border: 1px solid #e8e8e8;
    background-color: #f5f5f5;
    height: 480px;
    overflow-y:auto;
}
.api-message .version-content .public-param code{
    text-align: left;
    display: block;
    overflow-x: auto;
    color: #000;

}
.api-message .version-content .public-param code span{
    display: block;
}
.api-message .version-content .code-tag{
    position: relative;
    width: 90px;
    height: 35px;
    text-align: center;
    line-height: 35px;
    margin-top: 12px;
    border: 1px solid #e8e8e8;
    background-color: #ffffff;
    border-bottom: 0;
    margin-bottom: -2px;
    cursor: pointer;
}
.api-message .version-content .code-tag::before{
    content: '';
    position: absolute;
    left: 0;
    top: -1px;
    height: 2px;
    background: #2d8cf0;
    overflow: hidden;
    width: 100%;
}
.api-message .version-content .code-tag a{
    display: block;
}
.api-message .update-content{
    width: 100%;
}
.api-message .update-content .up-panel-list{
    border: 1px solid #E8E8E8;
    background-color: #fff;
    margin-top: 20px;
}
.api-message .update-content .up-panel-list .panel-header,.api-message .update-content .up-panel-list .panel-body{
    padding: 15px 20px;
}
.api-message .update-content .up-panel-list .panel-header{
    background-color: #F5F8F7;
    font-size: 16px;
}
.api-message .update-content .up-panel-list .panel-body{
    min-height: 60px;
}
#devs-Makes{
    width: 100%;
    height: 100%;
    position: fixed;
    display: none;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 10;
    text-align: center;
    background-color: #000000;
    background-color: rgba(0,0,0,0.3);
}
#devs-Makes.devs-block,.api-masks-content.devs-block{
    display: block;
}
#devs-Makes.devs-none,.api-masks-content.devs-none{
    display: none;
}
.api-masks-content{
    position: absolute;
    width: 800px;
    height: 520px;
    display: none;
    left: 30%;
    top: 20%;
    z-index: 1998;
    box-shadow: 2px 3px 15px 0px rgba(0, 0, 0, 0.13);
    background-color: #FFFFFF;
    -webkit-border-radius: 10px;
    border-radius: 10px;
}
.api-masks-content .devs-content-tabs{
    height: 48px;
    display: flex;
    box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.3);
    -webkit-border-top-left-radius: 10px;
    -webkit-border-top-right-radius: 10px;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}
.api-masks-content .devs-content-tabs span{
    display: block;
    flex: 1;
    color: #666666;
    line-height: 48px;
    font-size: 16px;
    text-align: center;
    background-color: #EEEEEE;
    cursor: pointer;
}
.api-masks-content .devs-content-tabs span.active{
    background: linear-gradient(97deg, #0087FB, #00B9EC);
    color: #ffffff;
}
.api-masks-content .devs-content-tabs span:first-of-type{
    -webkit-border-top-left-radius: 10px;
    border-top-left-radius: 10px;
}
.api-masks-content .devs-content-tabs span:last-of-type{
    -webkit-border-top-right-radius: 10px;
    border-top-right-radius: 10px;
}
.api-masks-content .devs-content-center{
    padding: 20px;
}
.api-masks-content .devs-content-center .content-manage{
    overflow: hidden;
    display: none;
}
.api-masks-content .devs-content-center .content-manage.open-active{
    display: block;
    height: 430px;
    overflow-y: auto;
}
.api-masks-content .content-manage h3{
    display: flex;
    font-size: 14px;
    color: #333333;
    line-height: 30px;
    padding-left: 8px;
}
.api-masks-content .content-manage h3 p{
    font-size: 12px;
    color: #ED0000;
}
.api-masks-content .content-manage h3:nth-child(3) p{
    color: #0088FB;
}
.api-masks-content .content-manage .center-area,.api-masks-content .content-manage .center-input,.cupload{
    text-align: left;
    padding-bottom: 6px;
}
.api-masks-content .content-manage .center-input{
    height: 36px;
}
.api-masks-content .content-manage .center-input input{
    width: 220px;
    height: 36px;
    line-height: 36px;
    background: #FFFFFF;
    border: 1px solid #DCDCDC;
    padding-left: 10px;
    font-size: 14px;
    color: #999999;
}
.api-masks-content .content-manage .center-area textarea{
    width: 100%;
    height: 138px;
    padding: 10px;
    font-size: 14px;
    color: #999999;
    line-height: 20px;
    background: #ffffff;
    border: 1px solid #DCDCDC;
    box-sizing: border-box;
    text-indent: 0.3em;
}
.api-masks-content .content-manage .submit-idment{
    display: flex;
    justify-content: center;
    padding: 20px 0;
}
table {
    table-layout:fixed;
} 
td{
    text-align: center;
}
th{
    border: 1px solid #e6e6e6;
    background-color: #F5F8F7;
    line-height: 28px;
    padding: 6px 15px;
    height: 28px;
}
td{
    border: 1px solid #e6e6e6;
    background-color: #fff;
    line-height: 28px;
    padding: 6px 15px;
    height: 28px;
    word-break:break-all;
}

.api-masks-content .content-manage .submit-idment span{
    display: block;
    width: 120px;
    height: 28px;
    line-height: 28px;
    background: #DCDCDC;
    color: #666666;
    font-size: 12px;
    text-align: center;
    -webkit-border-radius: 14px;
    border-radius: 14px;
    cursor: pointer;
}
.api-masks-content .content-manage .submit-idment span:last-of-type{
    margin-left: 32px;
    background: linear-gradient(90deg, #0087FB 0%, #00B9EC 100%);
    color: #ffffff;
}
/*cupload*/
.cupload .cupload-upload-box{
    width: 98px !important;
    height: 98px !important;
    line-height: 98px !important;
}
.cupload .cupload-upload-box .cupload-upload-btn{
    left: 40px !important;
}
.cupload .cupload-image-box{
    width: 98px !important;
    height: 98px !important;
}
.cupload .cupload-image-preview{
    width: 100% !important;
    height: 100% !important;
}
/*layui默认样式*/
.border-radius{
    -webkit-border-radius: 5px;
    border-radius: 5px;
}
.content-manage .layui-table tr{
    position: relative;
}
.content-manage .layui-table td{
    height: 50px;
    text-align: center;
    padding: 3px 5px;
}
.content-manage .layui-table td img{
    width: 40px;
    height: 40px;
    margin-right: 10px;
}
.content-manage .layui-table th{
    text-align: center;
}
.content-manage .form-empty{
    width: 100%;
}
.content-manage .history-mask{
    display: none;
}
.content-manage .history-data{
    display: block;
}
.content-manage .form-empty .mask-logo{
    padding-top: 60px;
    text-align: center;
}
.content-manage .form-empty .mask-logo p{
    padding-top: 30px;
    font-size: 14px;
    color: #999999;
    line-height: 31px;
}
.overHeigh{
    overflow-y: hidden;
}
.isFont{
    color: #0A9DFF;
}
.isTrue{
    color: #EE2D4F;
}